apiVersion: apps/v1
kind: Deployment
metadata:
  name: e2co-ui
  labels:
    app: e2co
    tier: ui
  namespace: core
spec:
  replicas: 1
  selector:
    matchLabels:
      app: e2co
      tier: ui
  template:
    metadata:
      labels:
        app: e2co
        tier: ui
    spec:
      imagePullSecrets:
        - name: regcred
      containers:
      - name: e2co-ui
        image: atospledger/e2co-ui:latest
        #image: 116.203.2.204:443/plgregistry/e2co-ui
        imagePullPolicy: Always
        ports:
          - containerPort: 8001
        env:
          - name: E2CO_UI_ENV_E2COEndpoint
            value: "http://localhost:8333/"
          - name: E2CO_UI_ENV_SLAEndpoint
            value: "http://localhost:8090/"
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: e2co
    tier: ui
  name: e2co-ui
  namespace: core
spec:
  ports:
    - name: 8334-tcp
      port: 8334
      protocol: TCP
      targetPort: 8001
      nodePort: 31001
  selector:
    app: e2co
    tier: ui
  sessionAffinity: None
  #type: ClusterIP
  type: NodePort
status:
  loadBalancer: {}
